%global pypi_name pylgbst
%{?python_disable_dependency_generator}

Name:           python-pylgbst
Version:        1.1.0
Release:        2%{?dist}
Summary:        A Python Module for to interact with Move Hub

License:        MIT
URL:            https://github.com/undera/pylgbst
Source0:        https://github.com/undera/pylgbst/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
# Should be dropped in the next release
Patch0:         pylgbst-new-fw.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pygatt

%description
This Module allows for interaction with the Move Hub Bluetooth hardware.

%package -n python3-%{pypi_name}
Summary:        %{summary}
Requires:       python3-pygatt
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This Module allows for interaction with the Move Hub Bluetooth hardware.

%prep
%setup -n %{pypi_name}-%{version}
%patch0 -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/*.egg-info

%changelog
* Thu Sep 19 2019 Tomas Smetana <tsmetana@redhat.com> - 1.1.0-2
- Add fixes for the new MoveHub firmware

* Wed Sep 18 2019 Tomas Smetana <tsmetana@redhat.com> - 1.1.0-1
- New upstream version: support for the new Lego Hub firmware

* Mon Jul 01 2019 Tomas Smetana <tsmetana@redhat.com> - 1.0.1-1
- Initial packaging
